﻿
@using System.Web.UI.WebControls
@using Portal.Models.LogTransactionMonitoring
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    ViewBag.Title = "IndexDetails";
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<div id="logDetail">
    <table width="100%">
        <tr>
            <td width="110px">Module ID</td>
            <td width="1px">:</td>
            <td width="150px">
                            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "Module ID";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Enabled = false;
                    }
                    ).Bind(Model.GetModel<LogTransactionMonitoringMaster>().ModuleID).GetHtml()
            </td>
            <td width="20px">Function ID</td>
            <td width="1px">:</td>
            <td width="170px">
                            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "Function ID";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Enabled = false;
                    }
                    ).Bind(Model.GetModel<LogTransactionMonitoringMaster>().FunctionID).GetHtml()
            </td>
        </tr>
        <tr>
            <td>LogStatus</td>
            <td>:</td>
            <td>
                            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "Log Status";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Enabled = false;
                    }
                    ).Bind(Model.GetModel<LogTransactionMonitoringMaster>().LogStatus).GetHtml()
            </td>

                        <td width="20px">Log ID H</td>
            <td width="1px">:</td>
            <td width="170px">
                            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "Log ID Header";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Enabled = false;
                    }
                    ).Bind(Model.GetModel<LogTransactionMonitoringMaster>().LogIDH).GetHtml()
            </td>
        </tr>
    </table>
    <br />
</div>

<div id="LogGridview">
    <table width="100%">
        <tr>
            <td>
                   @Html.Partial("GridIndexDetails", Model)
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnBack";
                        settings.Text = "Back";                       
                        settings.RouteValues = new { Controller = "LogTransactionMonitoring", Action = "Back" };
                    }
                ).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnRefresh";
                        settings.Text = "Refresh";
                        settings.UseSubmitBehavior = true;
                        //settings.ClientSideEvents.Click = @Html.ActionLink(StartPage);
                    }
                ).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnDownload";
                        settings.Text = "Download";
                        settings.UseSubmitBehavior = true;
                    }
                ).GetHtml()
            </td>
        </tr>
    </table>
</div>